<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	xmlns:composite="http://java.sun.com/jsf/composite">

<composite:interface>
	<composite:attribute name="nom" required="false" />
</composite:interface>

<composite:implementation>
	<rich:tree id="tree" nodeType="#{node.type}" var="node"
		value="#{uiDataset.treeNodesDatasets}" toggleType="ajax"
		selectionType="ajax" styleClass="tree"
		selectionChangeListener="#{uiDataset.selectionChanged}"
		render="currentSelectionTable,datasetsDetailsPanel,selectedDatasetDetailsPanel"
		binding="#{uiDataset.treeSelection}" 
		toggleNodeEvent="click">

		<rich:treeNode type="projet"
			iconCollapsed="#{resource['images:site.gif']}"
			iconExpanded="#{resource['images:site.gif']}">
			<a4j:commandLink render="tree" execute="@this">
				<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
					<h:outputText
						value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_PROJET} '#{node.localizedName}'" />
					<br />
					<h:outputText value="#{node.description}" />
				</rich:tooltip>
				<h:outputText value="#{node.localizedName}" />
			</a4j:commandLink>
		</rich:treeNode>

		<rich:treeNode type="localisation"
			iconCollapsed="#{resource['images:site.gif']}"
			iconExpanded="#{resource['images:site.gif']}">
			<a4j:commandLink render="tree" execute="@this">
				<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
					<h:outputText
						value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_SITE} '#{node.localizedName}'" />
					<br />
					<h:outputText value="#{node.description}" />
				</rich:tooltip>
				<h:outputText value="#{node.localizedName}" />
			</a4j:commandLink>
		</rich:treeNode>
		
		<rich:treeNode type="theme">
			<a4j:commandLink render="tree" execute="@this">
				<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
					<h:outputText
						value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_THEME} '#{node.localizedName}'" />
					<br />
					<h:outputText value="#{node.description}" />
				</rich:tooltip>
				<h:outputText value="#{node.localizedName}" />
			</a4j:commandLink>
		</rich:treeNode>

		<rich:treeNode type="datatype" styleClass="leafNode">
			<a4j:commandLink>
				<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
					<h:outputText value="#{datasetManagementPanel.PARAM_MSG_CHOOSE_DATATYPE} '#{node.localizedName}'" />
					<br />
					<h:outputText value="#{node.description}" />
				</rich:tooltip>
				<h:outputText value="#{node.localizedName}" />
			</a4j:commandLink>


			<h:panelGroup styleClass="img">
                            <a4j:commandLink execute="@this" 
                                             oncomplete="#{rich:component('uploadFilesToCheckPopup')}.show()" >
					<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
						<h:outputText
							value="#{datasetManagementPanel.PARAM_MSG_CLICK_FOR_CHECK}" />
					</rich:tooltip>
					<h:graphicImage value="#{resource['images:search_results.png']}" />
					<f:setPropertyActionListener target="#{uiDataset.currentSelection}"
						value="#{node}" />
				</a4j:commandLink>
				&nbsp;
				<a4j:commandLink execute="@this"
					oncomplete="#{rich:component('uploadFilesToSubmitPopup')}.show()"
					rendered="#{node.actionUpload}">
					<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
						<h:outputText
							value="#{datasetManagementPanel.PARAM_MSG_CLICK_FOR_UPLOAD}" />
					</rich:tooltip>
					<h:graphicImage value="#{resource['images:add.png']}" />
					<f:setPropertyActionListener target="#{uiDataset.currentSelection}"
						value="#{node}" />
				</a4j:commandLink>

				<h:graphicImage value="#{resource['images:add.png']}"
					rendered="#{not node.actionUpload}" styleClass="disabled" />
			</h:panelGroup>
		</rich:treeNode>
	</rich:tree>
</composite:implementation>
</html>